import request from '@/utils/requestRobot'

//登录获取token
export function getRobotToken(data) {
  return request({
    url: `explosive-api/login`,
    method: 'post',
    data
  })
}
//获取查询机器人列表
export function getRobotList(data) {
  return request({
    url: `explosive-api/robot/list`,
    method: 'post',
    data,
    headers:{
      'token':data.token
    }
  })
}
// 获取识别类型
export function getRecognizeList(data) {
  return request({
    url: 'explosive-api/indicator/recognize/list',
    method: 'post',
    data,
    headers:{
      'token':data.token
    }
  })
}
// 查询区域
export function getAreaTree(data) {
  return request({
    url: 'explosive-api/area/tree',
    method: 'post',
    data,
    headers:{
      'token':data.token
    }
  })
}

// 查询导航点
export function getNaviList(data) {
  return request({
    url: 'explosive-api/navi/list',
    method: 'post',
    data,
    headers:{
      'token':data.token
    }
  })
}

// 查询监测点
export function getPositionList(data) {
  return request({
    url: 'explosive-api/position/list',
    method: 'post',
    data,
    headers:{
      'token':data.token
    }
  })
}

// 查询场景
export function getSenceList(data) {
  return request({
    url: 'explosive-api/indicator/scene/list',
    method: 'post',
    data,
    headers:{
      'token':data.token
    }
  })
}

// 下发任务
export function createTask(data) {
  return request({
    url: 'explosive-api/task/create',
    method: 'post',
    data,
    headers:{
      'token':data.token
    }
  })
}

// 查询任务列表
export function getTaskList(data) {
  return request({
    url: 'explosive-api/task/list',
    method: 'post',
    data,
    headers:{
      'token':data.token
    }
  })
}

// 任务编号查询任务
export function getTask(id) {
  return request({
    url: 'explosive-api/task/get',
    method: 'post',
    id:id,
    headers:{
      'token':data.token
    }
  })
}

// 查询巡检记录列表
export function getPatrolRecordList(data) {
  return request({
    url: 'explosive-api/patrol-record/list',
    method: 'post',
    data,
    headers:{
      'token':data.token
    }
  })
}

// 查询单条巡检记录
export function getPatrolRecord(id) {
  return request({
    url: 'explosive-api/patrol-record/get',
    method: 'post',
    id:id,
    headers:{
      'token':data.token
    }
  })
}

// 查询机器人本体实时信息 
export function getRealtimeList(data) {
  return request({
    url: 'explosive-api/realtime/list',
    method: 'post',
    data,
    headers:{
      'token':data.token
    }
  })
}

// 查询报警信息
export function getAlarmList(data) {
  return request({
    url: 'explosive-api/alarm/list',
    method: 'post',
    data,
    headers:{
      'token':data.token
    }
  })
}
